4337
Returns a SafeOperation given its Safe operation hash
GET /tx-service/eth/api/v1/safe-operations/{safe_operation_hash}/ HTTP/1.1
Accept: */*
{
"created": "2026-01-01T00:00:00.000Z",
"modified": "2026-01-01T00:00:00.000Z",
"safeOperationHash": "text",
"validAfter": "2026-01-01T00:00:00.000Z",
"validUntil": "2026-01-01T00:00:00.000Z",
"moduleAddress": "text",
"confirmations": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"preparedSignature": "text",
"userOperation": {
"ethereumTxHash": "text",
"sender": "text",
"userOperationHash": "text",
"nonce": "text",
"initCode": null,
"callData": null,
"callGasLimit": "text",
"verificationGasLimit": "text",
"preVerificationGas": "text",
"maxFeePerGas": "text",
"maxPriorityFeePerGas": "text",
"paymaster": null,
"paymasterData": null,
"signature": "text",
"entryPoint": "text"
}
}Get the list of confirmations for a multisig transaction
Number of results to return per page.
The initial index from which to return the results.
123http://api.example.org/accounts/?offset=400&limit=100http://api.example.org/accounts/?offset=200&limit=100Invalid data
GET /tx-service/eth/api/v1/safe-operations/{safe_operation_hash}/confirmations/ HTTP/1.1
Accept: */*
{
"count": 123,
"next": "http://api.example.org/accounts/?offset=400&limit=100",
"previous": "http://api.example.org/accounts/?offset=200&limit=100",
"results": [
{
"created": "2026-01-01T00:00:00.000Z",
"modified": "2026-01-01T00:00:00.000Z",
"owner": "text",
"signature": "text",
"signatureType": "text"
}
]
}Add a confirmation for a transaction. More than one signature can be used. This endpoint does not support the use of delegates to make a transaction trusted.
Validate new confirmations for an existing SafeOperation
Created
No content
Malformed data
Error processing data
POST /tx-service/eth/api/v1/safe-operations/{safe_operation_hash}/confirmations/ HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 20
{
"signature": "text"
}No content
Returns the list of SafeOperations for a given Safe account
Which field to use when ordering the results.
Number of results to return per page.
The initial index from which to return the results.
123http://api.example.org/accounts/?offset=400&limit=100http://api.example.org/accounts/?offset=200&limit=100GET /tx-service/eth/api/v1/safes/{address}/safe-operations/ HTTP/1.1
Accept: */*
{
"count": 123,
"next": "http://api.example.org/accounts/?offset=400&limit=100",
"previous": "http://api.example.org/accounts/?offset=200&limit=100",
"results": [
{
"created": "2026-01-01T00:00:00.000Z",
"modified": "2026-01-01T00:00:00.000Z",
"safeOperationHash": "text",
"validAfter": "2026-01-01T00:00:00.000Z",
"validUntil": "2026-01-01T00:00:00.000Z",
"moduleAddress": "text",
"confirmations": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"preparedSignature": "text",
"userOperation": {
"ethereumTxHash": "text",
"sender": "text",
"userOperationHash": "text",
"nonce": "text",
"initCode": null,
"callData": null,
"callGasLimit": "text",
"verificationGasLimit": "text",
"preVerificationGas": "text",
"maxFeePerGas": "text",
"maxPriorityFeePerGas": "text",
"paymaster": null,
"paymasterData": null,
"signature": "text",
"entryPoint": "text"
}
}
]
}Adds a new SafeOperation for a given Safe account
Mixin class to validate SafeOperation signatures. _get_owners can be overridden to define
the valid owners to sign
Unspecified response body
POST /tx-service/eth/api/v1/safes/{address}/safe-operations/ HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 272
{
"nonce": 1,
"initCode": null,
"callData": null,
"callGasLimit": 1,
"verificationGasLimit": 1,
"preVerificationGas": 1,
"maxFeePerGas": 1,
"maxPriorityFeePerGas": 1,
"paymasterAndData": null,
"signature": "text",
"entryPoint": "text",
"validAfter": null,
"validUntil": null,
"moduleAddress": "text"
}{
"ANY_ADDITIONAL_PROPERTY": "anything"
}Returns the list of UserOperations for a given Safe account
Which field to use when ordering the results.
Number of results to return per page.
The initial index from which to return the results.
123http://api.example.org/accounts/?offset=400&limit=100http://api.example.org/accounts/?offset=200&limit=100GET /tx-service/eth/api/v1/safes/{address}/user-operations/ HTTP/1.1
Accept: */*
{
"count": 123,
"next": "http://api.example.org/accounts/?offset=400&limit=100",
"previous": "http://api.example.org/accounts/?offset=200&limit=100",
"results": [
{
"ethereumTxHash": "text",
"sender": "text",
"userOperationHash": "text",
"nonce": "text",
"initCode": null,
"callData": null,
"callGasLimit": "text",
"verificationGasLimit": "text",
"preVerificationGas": "text",
"maxFeePerGas": "text",
"maxPriorityFeePerGas": "text",
"paymaster": null,
"paymasterData": null,
"signature": "text",
"entryPoint": "text",
"safeOperation": {
"created": "2026-01-01T00:00:00.000Z",
"modified": "2026-01-01T00:00:00.000Z",
"safeOperationHash": "text",
"validAfter": "2026-01-01T00:00:00.000Z",
"validUntil": "2026-01-01T00:00:00.000Z",
"moduleAddress": "text",
"confirmations": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"preparedSignature": "text"
}
}
]
}Returns a UserOperation given its user operation hash
GET /tx-service/eth/api/v1/user-operations/{user_operation_hash}/ HTTP/1.1
Accept: */*
{
"ethereumTxHash": "text",
"sender": "text",
"userOperationHash": "text",
"nonce": "text",
"initCode": null,
"callData": null,
"callGasLimit": "text",
"verificationGasLimit": "text",
"preVerificationGas": "text",
"maxFeePerGas": "text",
"maxPriorityFeePerGas": "text",
"paymaster": null,
"paymasterData": null,
"signature": "text",
"entryPoint": "text",
"safeOperation": {
"created": "2026-01-01T00:00:00.000Z",
"modified": "2026-01-01T00:00:00.000Z",
"safeOperationHash": "text",
"validAfter": "2026-01-01T00:00:00.000Z",
"validUntil": "2026-01-01T00:00:00.000Z",
"moduleAddress": "text",
"confirmations": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"preparedSignature": "text"
}
}Last updated